View Issue Details

IDProjectCategoryView StatusLast Update
0000057AlmaLinux-8-OTHERpublic2021-05-11 00:38
Reporterenigma131 Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionopen 
PlatformServer - DesktopOSAmalinuxOS Version8.3
Summary0000057: rtl8188eu (USB WIFI Dongle) drivers - build fails- From Github
DescriptionI have a popular wifi usb dongle (a Realtek TL-WN725N), and I try to make it work under Alama.
When i insert dongle after system boot, i got, from dmesg :

[ 90.432685] usb 1-5: new high-speed USB device number 7 using xhci_hcd
[ 90.559175] usb 1-5: New USB device found, idVendor=0bda, idProduct=8179, bcdDevice= 0.00
[ 90.559176] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 90.559177] usb 1-5: Product: 802.11n NIC
[ 90.559178] usb 1-5: Manufacturer: Realtek

Since kernel module isn't include in Kernel 4.18, I have try to compile it following this :

https://tutorialforlinux.com/2020/06/05/step-by-step-centos-8-realtek-rtl8188eu-driver-installation

Then I got error at make stage :

/home/alma/rtl8188eu/os_dep/ioctl_linux.c:7814:3: error: « struct iw_handler_def » no member « private »
  .private = rtw_private_handler,
   ^~~~~~~

I it possible to make it work ? I need to transfer the internet trafic to the dongle and use RJ45 for the server part.
TagsNo tags attached.
abrt_hash
URL

Activities

alukoshko

2021-04-06 17:13

developer   ~0000127

Hello.
Have a look at the following issue: https://github.com/lwfinger/rtl8188eu/issues/302
Looks like it's impossible with stock kernel.

enigma131

2021-04-06 17:35

reporter   ~0000128

Hi, yes I see, the author don't seems want to make changes for CentOs 8 series..
I have found a other github here : https://github.com/aircrack-ng/rtl8188eus
I will try it tomorrow and tell you informed

enigma131

2021-04-07 11:19

reporter   ~0000131

I've tested the aircrak one, I had to modify 3 files:

grep -r almalinux
os_dep/linux/rtw_android.c:#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 18, 0)) // almalinux ex 5,0
os_dep/linux/os_intfs.c: #if LINUX_VERSION_CODE < KERNEL_VERSION(4, 18, 0) // almalinux ex 4,19
core/rtw_mlme_ext.c: /* fallthrough */ // almalinux

And after then it compiles and isntalls:

lsmod | grep 80211
cfg80211 806912 1 8188eu
rfkill 28672 4 cfg80211

But there is a but.
After inserting the usb dongle, i get error message in dmesg and no wifi, see attached file at the end
dmesg (69,610 bytes)   
[    0.000000] microcode: microcode updated early to revision 0xd6, date = 2019-10-03
[    0.000000] Linux version 4.18.0-240.15.1.el8_3.x86_64 ([email protected]) (gcc version 8.3.1 20191121 (Red Hat 8.3.1-5) (GCC)) #1 SMP Wed Feb 24 15:34:43 MSK 2021
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.18.0-240.15.1.el8_3.x86_64 root=/dev/sda12
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x008: 'MPX bounds registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x010: 'MPX CSR'
[    0.000000] x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
[    0.000000] x86/fpu: xstate_offset[3]:  832, xstate_sizes[3]:   64
[    0.000000] x86/fpu: xstate_offset[4]:  896, xstate_sizes[4]:   64
[    0.000000] x86/fpu: Enabled xstate features 0x1f, context size is 960 bytes, using 'compacted' format.
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009c7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009c800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x0000000082edcfff] usable
[    0.000000] BIOS-e820: [mem 0x0000000082edd000-0x0000000082eddfff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x0000000082ede000-0x0000000082f27fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000082f28000-0x000000008a11ffff] usable
[    0.000000] BIOS-e820: [mem 0x000000008a120000-0x000000008a42efff] reserved
[    0.000000] BIOS-e820: [mem 0x000000008a42f000-0x000000008a638fff] usable
[    0.000000] BIOS-e820: [mem 0x000000008a639000-0x000000008ad94fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x000000008ad95000-0x000000008b3fefff] reserved
[    0.000000] BIOS-e820: [mem 0x000000008b3ff000-0x000000008b3fffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fe000000-0x00000000fe010fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ff000000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000046effffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 3.0 present.
[    0.000000] DMI: MSI MS-7971/Z170-A PRO (MS-7971), BIOS 1.90 02/24/2016
[    0.000000] tsc: Detected 3400.000 MHz processor
[    0.000000] tsc: Detected 3408.000 MHz TSC
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] last_pfn = 0x46f000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: write-back
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 00C0000000 mask 7FC0000000 uncachable
[    0.000000]   1 base 00A0000000 mask 7FE0000000 uncachable
[    0.000000]   2 base 0090000000 mask 7FF0000000 uncachable
[    0.000000]   3 base 008C000000 mask 7FFC000000 uncachable
[    0.000000]   4 base 008B800000 mask 7FFF800000 uncachable
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000]   8 disabled
[    0.000000]   9 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT  
[    0.000000] last_pfn = 0x8b400 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [mem 0x000fccd0-0x000fccdf]
[    0.000000] Using GB pages for direct mapping
[    0.000000] BRK [0x2c4801000, 0x2c4801fff] PGTABLE
[    0.000000] BRK [0x2c4802000, 0x2c4802fff] PGTABLE
[    0.000000] BRK [0x2c4803000, 0x2c4803fff] PGTABLE
[    0.000000] BRK [0x2c4804000, 0x2c4804fff] PGTABLE
[    0.000000] BRK [0x2c4805000, 0x2c4805fff] PGTABLE
[    0.000000] BRK [0x2c4806000, 0x2c4806fff] PGTABLE
[    0.000000] BRK [0x2c4807000, 0x2c4807fff] PGTABLE
[    0.000000] BRK [0x2c4808000, 0x2c4808fff] PGTABLE
[    0.000000] BRK [0x2c4809000, 0x2c4809fff] PGTABLE
[    0.000000] BRK [0x2c480a000, 0x2c480afff] PGTABLE
[    0.000000] BRK [0x2c480b000, 0x2c480bfff] PGTABLE
[    0.000000] RAMDISK: [mem 0x31767000-0x34baafff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F05B0 000024 (v02 ALASKA)
[    0.000000] ACPI: XSDT 0x000000008AD4F098 0000AC (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FACP 0x000000008AD72C50 00010C (v05 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: DSDT 0x000000008AD4F1D8 023A77 (v02 ALASKA A M I    01072009 INTL 20120913)
[    0.000000] ACPI: FACS 0x000000008AD94F80 000040
[    0.000000] ACPI: APIC 0x000000008AD72D60 0000BC (v03 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FPDT 0x000000008AD72E20 000044 (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FIDT 0x000000008AD72E68 00009C (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: MCFG 0x000000008AD72F08 00003C (v01 ALASKA A M I    01072009 MSFT 00000097)
[    0.000000] ACPI: HPET 0x000000008AD72F48 000038 (v01 ALASKA A M I    01072009 AMI. 0005000B)
[    0.000000] ACPI: SSDT 0x000000008AD72F80 00036D (v01 SataRe SataTabl 00001000 INTL 20120913)
[    0.000000] ACPI: LPIT 0x000000008AD732F0 000094 (v01 INTEL  SKL      00000000 MSFT 0000005F)
[    0.000000] ACPI: SSDT 0x000000008AD73388 000248 (v02 INTEL  sensrhub 00000000 INTL 20120913)
[    0.000000] ACPI: SSDT 0x000000008AD735D0 002BAE (v02 INTEL  PtidDevc 00001000 INTL 20120913)
[    0.000000] ACPI: SSDT 0x000000008AD76180 000BE3 (v02 INTEL  Ther_Rvp 00001000 INTL 20120913)
[    0.000000] ACPI: DBGP 0x000000008AD76D68 000034 (v01 INTEL           00000000 MSFT 0000005F)
[    0.000000] ACPI: DBG2 0x000000008AD76DA0 000054 (v00 INTEL           00000000 MSFT 0000005F)
[    0.000000] ACPI: SSDT 0x000000008AD76DF8 00062F (v02 INTEL  xh_rvp08 00000000 INTL 20120913)
[    0.000000] ACPI: SSDT 0x000000008AD77428 0054A2 (v02 SaSsdt SaSsdt   00003000 INTL 20120913)
[    0.000000] ACPI: UEFI 0x000000008AD7C8D0 000042 (v01                 00000000      00000000)
[    0.000000] ACPI: SSDT 0x000000008AD7C918 000E73 (v02 CpuRef CpuSsdt  00003000 INTL 20120913)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000046effffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x46efd6000-0x46effffff]
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x000000046effffff]
[    0.000000]   Device   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009bfff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x0000000082edcfff]
[    0.000000]   node   0: [mem 0x0000000082f28000-0x000000008a11ffff]
[    0.000000]   node   0: [mem 0x000000008a42f000-0x000000008a638fff]
[    0.000000]   node   0: [mem 0x000000008b3ff000-0x000000008b3fffff]
[    0.000000]   node   0: [mem 0x0000000100000000-0x000000046effffff]
[    0.000000] Zeroed struct page in unavailable ranges: 28037 pages
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000046effffff]
[    0.000000] On node 0 totalpages: 4166267
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 21 pages reserved
[    0.000000]   DMA zone: 3995 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 8780 pages used for memmap
[    0.000000]   DMA32 zone: 561888 pages, LIFO batch:31
[    0.000000]   Normal zone: 56256 pages used for memmap
[    0.000000]   Normal zone: 3600384 pages, LIFO batch:31
[    0.000000] Reserving Intel graphics memory at [mem 0x8c000000-0x8fffffff]
[    0.000000] ACPI: PM-Timer IO Port: 0x1808
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x05] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x06] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x07] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x08] high edge lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-119
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a701 base: 0xfed00000
[    0.000000] smpboot: Allowing 8 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009c000-0x0009cfff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009d000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x82edd000-0x82eddfff]
[    0.000000] PM: Registered nosave memory: [mem 0x82ede000-0x82f27fff]
[    0.000000] PM: Registered nosave memory: [mem 0x8a120000-0x8a42efff]
[    0.000000] PM: Registered nosave memory: [mem 0x8a639000-0x8ad94fff]
[    0.000000] PM: Registered nosave memory: [mem 0x8ad95000-0x8b3fefff]
[    0.000000] PM: Registered nosave memory: [mem 0x8b400000-0x8bffffff]
[    0.000000] PM: Registered nosave memory: [mem 0x8c000000-0x8fffffff]
[    0.000000] PM: Registered nosave memory: [mem 0x90000000-0xdfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xefffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xf0000000-0xfdffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfe000000-0xfe010fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfe011000-0xfebfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfedfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xfeffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xff000000-0xffffffff]
[    0.000000] [mem 0x90000000-0xdfffffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1910969940391419 ns
[    0.000000] setup_percpu: NR_CPUS:8192 nr_cpumask_bits:8 nr_cpu_ids:8 nr_node_ids:1
[    0.000000] percpu: Embedded 54 pages/cpu s184320 r8192 d28672 u262144
[    0.000000] pcpu-alloc: s184320 r8192 d28672 u262144 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 4 5 6 7 
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 4101146
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.18.0-240.15.1.el8_3.x86_64 root=/dev/sda12
[    0.000000] Specific versions of hardware are certified with Red Hat Enterprise Linux 8. Please see the list of hardware certified with Red Hat Enterprise Linux 8 at https://catalog.redhat.com.
[    0.000000] Memory: 2275464K/16665068K available (12292K kernel code, 2184K rwdata, 3960K rodata, 2432K init, 13460K bss, 426920K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Kernel/User page tables isolation: enabled
[    0.000000] ftrace: allocating 37453 entries in 147 pages
[    0.000000] ftrace: allocated 147 pages with 4 groups
[    0.001000] rcu: Hierarchical RCU implementation.
[    0.001000] rcu: 	RCU restricting CPUs from NR_CPUS=8192 to nr_cpu_ids=8.
[    0.001000] rcu: RCU calculated value of scheduler-enlistment delay is 100 jiffies.
[    0.001000] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.001000] NR_IRQS: 524544, nr_irqs: 2048, preallocated irqs: 16
[    0.001000] random: crng done (trusting CPU's manufacturer)
[    0.001000] spurious 8259A interrupt: IRQ7.
[    0.001000] Console: colour VGA+ 80x25
[    0.001000] printk: console [tty0] enabled
[    0.001000] ACPI: Core revision 20200110
[    0.001000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 79635855245 ns
[    0.001000] hpet clockevent registered
[    0.001037] APIC: Switch to symmetric I/O mode setup
[    0.002425] x2apic: IRQ remapping doesn't support X2APIC mode
[    0.005799] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=0 pin2=0
[    0.010001] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x311fd3cd494, max_idle_ns: 440795223879 ns
[    0.010172] Calibrating delay loop (skipped), value calculated using timer frequency.. 6816.00 BogoMIPS (lpj=3408000)
[    0.010343] pid_max: default: 32768 minimum: 301
[    0.010487] Security Framework initialized
[    0.010615] Yama: becoming mindful.
[    0.010742] SELinux:  Initializing.
[    0.012267] Dentry cache hash table entries: 2097152 (order: 12, 16777216 bytes)
[    0.013121] Inode-cache hash table entries: 1048576 (order: 11, 8388608 bytes)
[    0.013311] Mount-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.013465] Mountpoint-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.013788] CPU0: Thermal monitoring enabled (TM1)
[    0.013929] process: using mwait in idle threads
[    0.014002] Last level iTLB entries: 4KB 64, 2MB 8, 4MB 8
[    0.014132] Last level dTLB entries: 4KB 64, 2MB 0, 4MB 0, 1GB 4
[    0.014263] FEATURE SPEC_CTRL Present
[    0.014388] FEATURE IBPB_SUPPORT Present
[    0.014516] Spectre V1 : Mitigation: usercopy/swapgs barriers and __user pointer sanitization
[    0.014682] Spectre V2 : Using retpoline on Skylake-generation processors may not fully mitigate the vulnerability.
[    0.015000] Spectre V2 : Add the "spectre_v2=ibrs" kernel boot flag to enable IBRS on Skylake systems that need full mitigation.
[    0.015173] Spectre V2 : Mitigation: Full generic retpoline
[    0.015302] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[    0.015468] Spectre V2 : Enabling Restricted Speculation for firmware calls
[    0.016001] Spectre V2 : mitigation: Enabling conditional Indirect Branch Prediction Barrier
[    0.016167] Spectre V2 : User space: Mitigation: STIBP via seccomp and prctl
[    0.016299] Speculative Store Bypass: Mitigation: Speculative Store Bypass disabled via prctl and seccomp
[    0.016469] TAA: Mitigation: Clear CPU buffers
[    0.016596] SRBDS: Vulnerable: No microcode
[    0.016723] MDS: Mitigation: Clear CPU buffers
[    0.017155] Freeing SMP alternatives memory: 32K
[    0.018944] TSC deadline timer enabled
[    0.018948] smpboot: CPU0: Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz (family: 0x6, model: 0x5e, stepping: 0x3)
[    0.019000] Performance Events: PEBS fmt3+, Skylake events, 32-deep LBR, full-width counters, Intel PMU driver.
[    0.019000] ... version:                4
[    0.019000] ... bit width:              48
[    0.019000] ... generic registers:      4
[    0.019001] ... value mask:             0000ffffffffffff
[    0.019163] ... max period:             00007fffffffffff
[    0.019325] ... fixed-purpose events:   3
[    0.019485] ... event mask:             000000070000000f
[    0.019675] rcu: Hierarchical SRCU implementation.
[    0.020564] NMI watchdog: Enabled. Permanently consumes one hw-PMU counter.
[    0.020739] smp: Bringing up secondary CPUs ...
[    0.020949] x86: Booting SMP configuration:
[    0.021002] .... node  #0, CPUs:      #1 #2 #3 #4
[    0.026309] MDS CPU bug present and SMT on, data leak possible. See https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/mds.html for more details.
[    0.026431] TAA CPU bug present and SMT on, data leak possible. See https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/tsx_async_abort.html for more details.
[    0.027068]  #5 #6 #7
[    0.028339] smp: Brought up 1 node, 8 CPUs
[    0.028339] smpboot: Max logical packages: 1
[    0.028480] smpboot: Total of 8 processors activated (54528.00 BogoMIPS)
[    0.047034] node 0 deferred pages initialised in 17ms
[    0.047264] devtmpfs: initialized
[    0.048031] x86/mm: Memory block size: 128MB
[    0.048903] PM: Registering ACPI NVS region [mem 0x82edd000-0x82eddfff] (4096 bytes)
[    0.049001] PM: Registering ACPI NVS region [mem 0x8a639000-0x8ad94fff] (7716864 bytes)
[    0.049338] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.049579] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    0.049791] pinctrl core: initialized pinctrl subsystem
[    0.050055] NET: Registered protocol family 16
[    0.050272] audit: initializing netlink subsys (disabled)
[    0.050438] audit: type=2000 audit(1617791036.050:1): state=initialized audit_enabled=0 res=1
[    0.050438] cpuidle: using governor menu
[    0.050438] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[    0.051001] ACPI: bus type PCI registered
[    0.051161] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.051368] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.051602] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.051775] PCI: Using configuration type 1 for base access
[    0.052933] HugeTLB registered 1.00 GiB page size, pre-allocated 0 pages
[    0.053002] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    0.053183] cryptd: max_cpu_qlen set to 1000
[    0.053183] ACPI: Added _OSI(Module Device)
[    0.053196] ACPI: Added _OSI(Processor Device)
[    0.053357] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.053518] ACPI: Added _OSI(Processor Aggregator Device)
[    0.054001] ACPI: Added _OSI(Linux-Dell-Video)
[    0.054161] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.054323] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
[    0.079437] ACPI: 8 ACPI AML tables successfully acquired and loaded
[    0.081369] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.084147] ACPI: Dynamic OEM Table Load:
[    0.084311] ACPI: SSDT 0xFFFF927605F15000 0006E4 (v02 PmRef  Cpu0Ist  00003000 INTL 20120913)
[    0.084877] ACPI: \_PR_.CPU0: _OSC native thermal LVT Acked
[    0.086158] ACPI: Dynamic OEM Table Load:
[    0.086321] ACPI: SSDT 0xFFFF9277C490C800 00037F (v02 PmRef  Cpu0Cst  00003001 INTL 20120913)
[    0.086848] ACPI: Dynamic OEM Table Load:
[    0.087002] ACPI: SSDT 0xFFFF927605EE6840 00008E (v02 PmRef  Cpu0Hwp  00003000 INTL 20120913)
[    0.087452] ACPI: Dynamic OEM Table Load:
[    0.087613] ACPI: SSDT 0xFFFF9277C4888400 000130 (v02 PmRef  HwpLvt   00003000 INTL 20120913)
[    0.088539] ACPI: Dynamic OEM Table Load:
[    0.088701] ACPI: SSDT 0xFFFF927605F10800 0005AA (v02 PmRef  ApIst    00003000 INTL 20120913)
[    0.089364] ACPI: Dynamic OEM Table Load:
[    0.089526] ACPI: SSDT 0xFFFF9277C488B000 000119 (v02 PmRef  ApHwp    00003000 INTL 20120913)
[    0.090034] ACPI: Dynamic OEM Table Load:
[    0.090196] ACPI: SSDT 0xFFFF9277C4889400 000119 (v02 PmRef  ApCst    00003000 INTL 20120913)
[    0.094758] ACPI: Interpreter enabled
[    0.094946] ACPI: (supports S0 S3 S4 S5)
[    0.095001] ACPI: Using IOAPIC for interrupt routing
[    0.095187] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.096095] ACPI: Enabled 7 GPEs in block 00 to 7F
[    0.097960] ACPI: Power Resource [PG00] (on)
[    0.098286] ACPI: Power Resource [PG01] (on)
[    0.098694] ACPI: Power Resource [PG02] (on)
[    0.100596] ACPI: Power Resource [WRST] (off)
[    0.100980] ACPI: Power Resource [WRST] (off)
[    0.101232] ACPI: Power Resource [WRST] (off)
[    0.101616] ACPI: Power Resource [WRST] (off)
[    0.101999] ACPI: Power Resource [WRST] (off)
[    0.102228] ACPI: Power Resource [WRST] (off)
[    0.102616] ACPI: Power Resource [WRST] (off)
[    0.102996] ACPI: Power Resource [WRST] (off)
[    0.103220] ACPI: Power Resource [WRST] (off)
[    0.103601] ACPI: Power Resource [WRST] (off)
[    0.103982] ACPI: Power Resource [WRST] (off)
[    0.104222] ACPI: Power Resource [WRST] (off)
[    0.104603] ACPI: Power Resource [WRST] (off)
[    0.104984] ACPI: Power Resource [WRST] (off)
[    0.105220] ACPI: Power Resource [WRST] (off)
[    0.105607] ACPI: Power Resource [WRST] (off)
[    0.105993] ACPI: Power Resource [WRST] (off)
[    0.106228] ACPI: Power Resource [WRST] (off)
[    0.106609] ACPI: Power Resource [WRST] (off)
[    0.106988] ACPI: Power Resource [WRST] (off)
[    0.115564] ACPI: Power Resource [FN00] (off)
[    0.115778] ACPI: Power Resource [FN01] (off)
[    0.115988] ACPI: Power Resource [FN02] (off)
[    0.116052] ACPI: Power Resource [FN03] (off)
[    0.116264] ACPI: Power Resource [FN04] (off)
[    0.117193] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-fe])
[    0.117360] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI EDR HPX-Type3]
[    0.117715] acpi PNP0A08:00: _OSC: platform does not support [PME AER]
[    0.117993] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug SHPCHotplug PCIeCapability LTR DPC]
[    0.118001] acpi PNP0A08:00: FADT indicates ASPM is unsupported, using BIOS configuration
[    0.118733] PCI host bridge to bus 0000:00
[    0.118893] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.119001] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.119166] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.119396] pci_bus 0000:00: root bus resource [mem 0x90000000-0xdfffffff window]
[    0.119625] pci_bus 0000:00: root bus resource [mem 0xfd000000-0xfe7fffff window]
[    0.119857] pci_bus 0000:00: root bus resource [bus 00-fe]
[    0.120007] pci 0000:00:00.0: [8086:191f] type 00 class 0x060000
[    0.120416] pci 0000:00:02.0: [8086:1912] type 00 class 0x030000
[    0.120586] pci 0000:00:02.0: reg 0x10: [mem 0xde000000-0xdeffffff 64bit]
[    0.120754] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff 64bit pref]
[    0.120985] pci 0000:00:02.0: reg 0x20: [io  0xf000-0xf03f]
[    0.121124] pci 0000:00:08.0: [8086:1911] type 00 class 0x088000
[    0.121296] pci 0000:00:08.0: reg 0x10: [mem 0xdf332000-0xdf332fff 64bit]
[    0.121579] pci 0000:00:14.0: [8086:a12f] type 00 class 0x0c0330
[    0.121760] pci 0000:00:14.0: reg 0x10: [mem 0xdf310000-0xdf31ffff 64bit]
[    0.121978] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.122128] pci 0000:00:14.2: [8086:a131] type 00 class 0x118000
[    0.122308] pci 0000:00:14.2: reg 0x10: [mem 0xdf331000-0xdf331fff 64bit]
[    0.122640] pci 0000:00:15.0: [8086:a160] type 00 class 0x118000
[    0.122849] pci 0000:00:15.0: reg 0x10: [mem 0xdf330000-0xdf330fff 64bit]
[    0.123267] pci 0000:00:15.1: [8086:a161] type 00 class 0x118000
[    0.123479] pci 0000:00:15.1: reg 0x10: [mem 0xdf32f000-0xdf32ffff 64bit]
[    0.123889] pci 0000:00:16.0: [8086:a13a] type 00 class 0x078000
[    0.124017] pci 0000:00:16.0: reg 0x10: [mem 0xdf32e000-0xdf32efff 64bit]
[    0.124238] pci 0000:00:16.0: PME# supported from D3hot
[    0.124544] pci 0000:00:17.0: [8086:a102] type 00 class 0x010601
[    0.124720] pci 0000:00:17.0: reg 0x10: [mem 0xdf328000-0xdf329fff]
[    0.124888] pci 0000:00:17.0: reg 0x14: [mem 0xdf32d000-0xdf32d0ff]
[    0.125006] pci 0000:00:17.0: reg 0x18: [io  0xf090-0xf097]
[    0.125173] pci 0000:00:17.0: reg 0x1c: [io  0xf080-0xf083]
[    0.125340] pci 0000:00:17.0: reg 0x20: [io  0xf060-0xf07f]
[    0.125509] pci 0000:00:17.0: reg 0x24: [mem 0xdf32c000-0xdf32c7ff]
[    0.125704] pci 0000:00:17.0: PME# supported from D3hot
[    0.125997] pci 0000:00:1b.0: [8086:a167] type 01 class 0x060400
[    0.126057] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.126399] pci 0000:00:1b.2: [8086:a169] type 01 class 0x060400
[    0.126624] pci 0000:00:1b.2: PME# supported from D0 D3hot D3cold
[    0.126984] pci 0000:00:1d.0: [8086:a118] type 01 class 0x060400
[    0.127055] pci 0000:00:1d.0: PME# supported from D0 D3hot D3cold
[    0.127389] pci 0000:00:1d.2: [8086:a11a] type 01 class 0x060400
[    0.127612] pci 0000:00:1d.2: PME# supported from D0 D3hot D3cold
[    0.127949] pci 0000:00:1d.3: [8086:a11b] type 01 class 0x060400
[    0.128061] pci 0000:00:1d.3: PME# supported from D0 D3hot D3cold
[    0.128451] pci 0000:00:1e.0: [8086:a127] type 00 class 0x118000
[    0.128662] pci 0000:00:1e.0: reg 0x10: [mem 0xdf32b000-0xdf32bfff 64bit]
[    0.129085] pci 0000:00:1f.0: [8086:a145] type 00 class 0x060100
[    0.129460] pci 0000:00:1f.2: [8086:a121] type 00 class 0x058000
[    0.129636] pci 0000:00:1f.2: reg 0x10: [mem 0xdf324000-0xdf327fff]
[    0.129957] pci 0000:00:1f.3: [8086:a170] type 00 class 0x040300
[    0.130024] pci 0000:00:1f.3: reg 0x10: [mem 0xdf320000-0xdf323fff 64bit]
[    0.130217] pci 0000:00:1f.3: reg 0x20: [mem 0xdf300000-0xdf30ffff 64bit]
[    0.130423] pci 0000:00:1f.3: PME# supported from D3hot D3cold
[    0.130758] pci 0000:00:1f.4: [8086:a123] type 00 class 0x0c0500
[    0.130980] pci 0000:00:1f.4: reg 0x10: [mem 0xdf32a000-0xdf32a0ff 64bit]
[    0.131069] pci 0000:00:1f.4: reg 0x20: [io  0xf040-0xf05f]
[    0.131483] acpiphp: Slot [1] registered
[    0.131645] pci 0000:00:1b.0: PCI bridge to [bus 01]
[    0.131888] pci 0000:02:00.0: [9710:9912] type 00 class 0x070002
[    0.132029] pci 0000:02:00.0: reg 0x10: [io  0xe030-0xe037]
[    0.132202] pci 0000:02:00.0: reg 0x14: [mem 0xdf205000-0xdf205fff]
[    0.132410] pci 0000:02:00.0: reg 0x24: [mem 0xdf204000-0xdf204fff]
[    0.132660] pci 0000:02:00.0: PME# supported from D3hot D3cold
[    0.132971] pci 0000:02:00.1: [9710:9912] type 00 class 0x070002
[    0.133028] pci 0000:02:00.1: reg 0x10: [io  0xe020-0xe027]
[    0.133201] pci 0000:02:00.1: reg 0x14: [mem 0xdf203000-0xdf203fff]
[    0.133408] pci 0000:02:00.1: reg 0x24: [mem 0xdf202000-0xdf202fff]
[    0.133648] pci 0000:02:00.1: PME# supported from D3hot D3cold
[    0.133878] pci 0000:02:00.2: [9710:9912] type 00 class 0x070103
[    0.134027] pci 0000:02:00.2: reg 0x10: [io  0xe010-0xe017]
[    0.134200] pci 0000:02:00.2: reg 0x14: [io  0xe000-0xe007]
[    0.134373] pci 0000:02:00.2: reg 0x18: [mem 0xdf201000-0xdf201fff]
[    0.134569] pci 0000:02:00.2: reg 0x24: [mem 0xdf200000-0xdf200fff]
[    0.134809] pci 0000:02:00.2: PME# supported from D3hot D3cold
[    0.135049] pci 0000:00:1b.2: PCI bridge to [bus 02]
[    0.135213] pci 0000:00:1b.2:   bridge window [io  0xe000-0xefff]
[    0.135377] pci 0000:00:1b.2:   bridge window [mem 0xdf200000-0xdf2fffff]
[    0.135607] acpiphp: Slot [1-1] registered
[    0.135770] pci 0000:00:1d.0: PCI bridge to [bus 03]
[    0.136009] pci 0000:04:00.0: [10ec:8168] type 00 class 0x020000
[    0.136195] pci 0000:04:00.0: reg 0x10: [io  0xd000-0xd0ff]
[    0.136380] pci 0000:04:00.0: reg 0x18: [mem 0xdf100000-0xdf100fff 64bit]
[    0.136558] pci 0000:04:00.0: reg 0x20: [mem 0xd0000000-0xd0003fff 64bit pref]
[    0.136871] pci 0000:04:00.0: supports D1 D2
[    0.137001] pci 0000:04:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.137307] pci 0000:00:1d.2: PCI bridge to [bus 04]
[    0.137469] pci 0000:00:1d.2:   bridge window [io  0xd000-0xdfff]
[    0.137634] pci 0000:00:1d.2:   bridge window [mem 0xdf100000-0xdf1fffff]
[    0.137801] pci 0000:00:1d.2:   bridge window [mem 0xd0000000-0xd00fffff 64bit pref]
[    0.138076] pci 0000:05:00.0: [10ec:8168] type 00 class 0x020000
[    0.138264] pci 0000:05:00.0: reg 0x10: [io  0xc000-0xc0ff]
[    0.138448] pci 0000:05:00.0: reg 0x18: [mem 0xdf004000-0xdf004fff 64bit]
[    0.138627] pci 0000:05:00.0: reg 0x20: [mem 0xdf000000-0xdf003fff 64bit]
[    0.138878] pci 0000:05:00.0: supports D1 D2
[    0.139001] pci 0000:05:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.139322] pci 0000:00:1d.3: PCI bridge to [bus 05]
[    0.139484] pci 0000:00:1d.3:   bridge window [io  0xc000-0xcfff]
[    0.139649] pci 0000:00:1d.3:   bridge window [mem 0xdf000000-0xdf0fffff]
[    0.141440] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.141641] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.141838] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.142032] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.142228] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.142424] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.142622] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.142819] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.143356] iommu: Default domain type: Passthrough 
[    0.143356] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.143356] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.143403] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.143565] vgaarb: loaded
[    0.143774] SCSI subsystem initialized
[    0.143946] ACPI: bus type USB registered
[    0.144010] usbcore: registered new interface driver usbfs
[    0.144176] usbcore: registered new interface driver hub
[    0.145002] usbcore: registered new device driver usb
[    0.145002] pps_core: LinuxPPS API ver. 1 registered
[    0.145002] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <[email protected]>
[    0.145002] PTP clock support registered
[    0.145011] EDAC MC: Ver: 3.0.0
[    0.146013] PCI: Using ACPI for IRQ routing
[    0.173118] PCI: pci_cache_line_size set to 64 bytes
[    0.173225] e820: reserve RAM buffer [mem 0x0009c800-0x0009ffff]
[    0.173226] e820: reserve RAM buffer [mem 0x82edd000-0x83ffffff]
[    0.173227] e820: reserve RAM buffer [mem 0x8a120000-0x8bffffff]
[    0.173227] e820: reserve RAM buffer [mem 0x8a639000-0x8bffffff]
[    0.173228] e820: reserve RAM buffer [mem 0x8b400000-0x8bffffff]
[    0.173228] e820: reserve RAM buffer [mem 0x46f000000-0x46fffffff]
[    0.173286] NetLabel: Initializing
[    0.173444] NetLabel:  domain hash size = 128
[    0.173604] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.173775] NetLabel:  unlabeled traffic allowed by default
[    0.174056] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    0.174184] hpet0: 8 comparators, 64-bit 24.000000 MHz counter
[    0.177012] clocksource: Switched to clocksource tsc-early
[    0.185186] VFS: Disk quotas dquot_6.6.0
[    0.185354] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.185553] pnp: PnP ACPI init
[    0.185944] system 00:00: [io  0x0a00-0x0a0f] has been reserved
[    0.186110] system 00:00: [io  0x0a10-0x0a1f] has been reserved
[    0.186273] system 00:00: [io  0x0a20-0x0a2f] has been reserved
[    0.186436] system 00:00: [io  0x0a30-0x0a3f] has been reserved
[    0.186601] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.186898] pnp 00:01: [dma 0 disabled]
[    0.186988] pnp 00:01: Plug and Play ACPI device, IDs PNP0400 (active)
[    0.187012] pnp 00:02: Plug and Play ACPI device, IDs PNP0303 PNP030b (active)
[    0.187041] pnp 00:03: Plug and Play ACPI device, IDs PNP0f03 PNP0f13 (active)
[    0.187253] pnp 00:04: [dma 0 disabled]
[    0.187275] pnp 00:04: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.187368] system 00:05: [io  0x0680-0x069f] has been reserved
[    0.187533] system 00:05: [io  0xffff] has been reserved
[    0.187694] system 00:05: [io  0xffff] has been reserved
[    0.187856] system 00:05: [io  0xffff] has been reserved
[    0.188020] system 00:05: [io  0x1800-0x18fe] has been reserved
[    0.188183] system 00:05: [io  0x164e-0x164f] has been reserved
[    0.188347] system 00:05: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.188411] system 00:06: [io  0x0800-0x087f] has been reserved
[    0.188576] system 00:06: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.188587] pnp 00:07: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.188611] system 00:08: [io  0x1854-0x1857] has been reserved
[    0.188775] system 00:08: Plug and Play ACPI device, IDs INT3f0d PNP0c02 (active)
[    0.188923] system 00:09: [mem 0xfed10000-0xfed17fff] has been reserved
[    0.189089] system 00:09: [mem 0xfed18000-0xfed18fff] has been reserved
[    0.189254] system 00:09: [mem 0xfed19000-0xfed19fff] has been reserved
[    0.189419] system 00:09: [mem 0xe0000000-0xefffffff] has been reserved
[    0.189583] system 00:09: [mem 0xfed20000-0xfed3ffff] has been reserved
[    0.189748] system 00:09: [mem 0xfed90000-0xfed93fff] has been reserved
[    0.189912] system 00:09: [mem 0xfed45000-0xfed8ffff] has been reserved
[    0.190078] system 00:09: [mem 0xff000000-0xffffffff] has been reserved
[    0.190242] system 00:09: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.190407] system 00:09: [mem 0xdffc0000-0xdffdffff] has been reserved
[    0.190573] system 00:09: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.190601] system 00:0a: [mem 0xfd000000-0xfdabffff] has been reserved
[    0.190766] system 00:0a: [mem 0xfdad0000-0xfdadffff] has been reserved
[    0.190930] system 00:0a: [mem 0xfdb00000-0xfdffffff] has been reserved
[    0.191096] system 00:0a: [mem 0xfe000000-0xfe01ffff] could not be reserved
[    0.191261] system 00:0a: [mem 0xfe036000-0xfe03bfff] has been reserved
[    0.191426] system 00:0a: [mem 0xfe03d000-0xfe3fffff] has been reserved
[    0.191592] system 00:0a: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.191799] system 00:0b: [io  0xff00-0xfffe] has been reserved
[    0.191963] system 00:0b: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.192661] system 00:0c: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.193271] pnp: PnP ACPI: found 13 devices
[    0.198655] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.198909] pci 0000:00:1b.0: PCI bridge to [bus 01]
[    0.199078] pci 0000:00:1b.2: PCI bridge to [bus 02]
[    0.199240] pci 0000:00:1b.2:   bridge window [io  0xe000-0xefff]
[    0.199405] pci 0000:00:1b.2:   bridge window [mem 0xdf200000-0xdf2fffff]
[    0.199573] pci 0000:00:1d.0: PCI bridge to [bus 03]
[    0.199740] pci 0000:00:1d.2: PCI bridge to [bus 04]
[    0.199902] pci 0000:00:1d.2:   bridge window [io  0xd000-0xdfff]
[    0.200068] pci 0000:00:1d.2:   bridge window [mem 0xdf100000-0xdf1fffff]
[    0.200234] pci 0000:00:1d.2:   bridge window [mem 0xd0000000-0xd00fffff 64bit pref]
[    0.200466] pci 0000:00:1d.3: PCI bridge to [bus 05]
[    0.200628] pci 0000:00:1d.3:   bridge window [io  0xc000-0xcfff]
[    0.200793] pci 0000:00:1d.3:   bridge window [mem 0xdf000000-0xdf0fffff]
[    0.200961] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    0.201126] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    0.201290] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.201454] pci_bus 0000:00: resource 7 [mem 0x90000000-0xdfffffff window]
[    0.201618] pci_bus 0000:00: resource 8 [mem 0xfd000000-0xfe7fffff window]
[    0.201783] pci_bus 0000:02: resource 0 [io  0xe000-0xefff]
[    0.201945] pci_bus 0000:02: resource 1 [mem 0xdf200000-0xdf2fffff]
[    0.202110] pci_bus 0000:04: resource 0 [io  0xd000-0xdfff]
[    0.202273] pci_bus 0000:04: resource 1 [mem 0xdf100000-0xdf1fffff]
[    0.202436] pci_bus 0000:04: resource 2 [mem 0xd0000000-0xd00fffff 64bit pref]
[    0.202665] pci_bus 0000:05: resource 0 [io  0xc000-0xcfff]
[    0.202827] pci_bus 0000:05: resource 1 [mem 0xdf000000-0xdf0fffff]
[    0.203086] NET: Registered protocol family 2
[    0.203354] tcp_listen_portaddr_hash hash table entries: 8192 (order: 5, 131072 bytes)
[    0.203618] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.203954] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    0.204191] TCP: Hash tables configured (established 131072 bind 65536)
[    0.204406] UDP hash table entries: 8192 (order: 6, 262144 bytes)
[    0.204594] UDP-Lite hash table entries: 8192 (order: 6, 262144 bytes)
[    0.204803] NET: Registered protocol family 1
[    0.204965] NET: Registered protocol family 44
[    0.205134] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.206038] PCI: CLS 0 bytes, default 64
[    0.206218] Unpacking initramfs...
[    0.743113] Freeing initrd memory: 53520K
[    0.743290] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    0.743454] software IO TLB: mapped [mem 0x86120000-0x8a120000] (64MB)
[    0.743667] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x311fd3cd494, max_idle_ns: 440795223879 ns
[    0.743912] clocksource: Switched to clocksource tsc
[    0.753476] Initialise system trusted keyrings
[    0.755459] Key type blacklist registered
[    0.755644] workingset: timestamp_bits=36 max_order=22 bucket_order=0
[    0.756789] zbud: loaded
[    0.757163] pstore: using deflate compression
[    0.757497] Platform Keyring initialized
[    0.826235] NET: Registered protocol family 38
[    0.826397] Key type asymmetric registered
[    0.826557] Asymmetric key parser 'x509' registered
[    0.826725] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 247)
[    0.826976] io scheduler mq-deadline registered
[    0.827138] io scheduler kyber registered
[    0.827332] io scheduler bfq registered
[    0.827544] atomic64_test: passed for x86-64 platform with CX8 and with SSE
[    0.828364] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    0.828550] intel_idle: MWAIT substates: 0x142120
[    0.828551] intel_idle: v0.4.1 model 0x5E
[    0.828820] intel_idle: lapic_timer_reliable_states 0xffffffff
[    0.828949] input: Sleep Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input0
[    0.829200] ACPI: Sleep Button [SLPB]
[    0.829376] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1
[    0.829616] ACPI: Power Button [PWRB]
[    0.829793] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    0.830042] ACPI: Power Button [PWRF]
[    0.831382] thermal LNXTHERM:00: registered as thermal_zone0
[    0.831546] ACPI: Thermal Zone [TZ00] (28 C)
[    0.831788] thermal LNXTHERM:01: registered as thermal_zone1
[    0.831950] ACPI: Thermal Zone [TZ01] (30 C)
[    0.832306] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.853162] 00:04: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    0.874222] serial8250: ttyS1 at I/O 0x2f8 (irq = 3, base_baud = 115200) is a 16550A
[    0.896426] 0000:02:00.0: ttyS2 at I/O 0xe030 (irq = 18, base_baud = 115200) is a ST16650V2
[    0.918186] 0000:02:00.1: ttyS3 at I/O 0xe020 (irq = 19, base_baud = 115200) is a ST16650V2
[    0.918753] Non-volatile memory driver v1.3
[    0.919379] rdac: device handler registered
[    0.919632] hp_sw: device handler registered
[    0.919792] emc: device handler registered
[    0.920006] alua: device handler registered
[    0.920231] libphy: Fixed MDIO Bus: probed
[    0.920487] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.920653] ehci-pci: EHCI PCI platform driver
[    0.920820] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.920984] ohci-pci: OHCI PCI platform driver
[    0.921152] uhci_hcd: USB Universal Host Controller Interface driver
[    0.921424] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.921667] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    0.922956] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x0000000001109810
[    0.923195] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    0.923502] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 4.18
[    0.923733] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.923962] usb usb1: Product: xHCI Host Controller
[    0.924126] usb usb1: Manufacturer: Linux 4.18.0-240.15.1.el8_3.x86_64 xhci-hcd
[    0.924355] usb usb1: SerialNumber: 0000:00:14.0
[    0.924678] hub 1-0:1.0: USB hub found
[    0.924851] hub 1-0:1.0: 16 ports detected
[    0.925759] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.926034] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    0.926279] xhci_hcd 0000:00:14.0: Host supports USB 3.0 SuperSpeed
[    0.926465] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 4.18
[    0.926696] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.926925] usb usb2: Product: xHCI Host Controller
[    0.927089] usb usb2: Manufacturer: Linux 4.18.0-240.15.1.el8_3.x86_64 xhci-hcd
[    0.927319] usb usb2: SerialNumber: 0000:00:14.0
[    0.927644] hub 2-0:1.0: USB hub found
[    0.927814] hub 2-0:1.0: 10 ports detected
[    0.928478] usb: port power management may be unreliable
[    0.928757] usbcore: registered new interface driver usbserial_generic
[    0.928925] usbserial: USB Serial support registered for generic
[    0.929125] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
[    0.932506] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.932668] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.932905] mousedev: PS/2 mouse device common for all mice
[    0.933257] rtc_cmos 00:07: RTC can wake from S4
[    0.933889] rtc_cmos 00:07: registered as rtc0
[    0.934060] rtc_cmos 00:07: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[    0.934295] intel_pstate: Intel P-state driver initializing
[    0.935324] intel_pstate: HWP enabled
[    0.935677] hidraw: raw HID events driver (C) Jiri Kosina
[    0.935859] usbcore: registered new interface driver usbhid
[    0.936037] usbhid: USB HID core driver
[    0.936291] drop_monitor: Initializing network drop monitor service
[    0.936516] Initializing XFRM netlink socket
[    0.936745] NET: Registered protocol family 10
[    0.937061] Segment Routing with IPv6
[    0.937239] NET: Registered protocol family 17
[    0.937479] mpls_gso: MPLS GSO support
[    0.938236] core: Using 10 MCE banks
[    0.938437] microcode: sig=0x506e3, pf=0x2, revision=0xd6
[    0.938833] microcode: Microcode Update Driver: v2.2.
[    0.938838] AVX2 version of gcm_enc/dec engaged.
[    0.939195] AES CTR mode by8 optimization enabled
[    0.969624] sched_clock: Marking stable (969620543, 0)->(1129749043, -160128500)
[    0.969961] registered taskstats version 1
[    0.970155] Loading compiled-in X.509 certificates
[    0.994291] Loaded X.509 cert 'AlmaLinux kernel signing key: a9e10458f2b2ce54276fa442f01bc950ed7f17f3'
[    0.994536] Loaded X.509 cert 'AlmaLinux Driver update signing key: 7b863e0240ed208ab6b81b8a6f2860c0f4e8c7d6'
[    0.994774] Loaded X.509 cert 'AlmaLinux kpatch signing key: 69a6d9eed3f620d5c2e13a1d211c46510a5ad9f5'
[    0.995037] zswap: loaded using pool lzo/zbud
[    0.995298] page_owner is disabled
[    1.001363] Key type big_key registered
[    1.004369] Key type encrypted registered
[    1.004542] ima: No TPM chip found, activating TPM-bypass!
[    1.004706] ima: Allocated hash algorithm: sha1
[    1.004868] ima: No architecture policies found
[    1.005074] evm: Initialising EVM extended attributes:
[    1.005235] evm: security.selinux
[    1.005391] evm: security.ima
[    1.005547] evm: security.capability
[    1.005705] evm: HMAC attrs: 0x1
[    1.006696] rtc_cmos 00:07: setting system clock to 2021-04-07 10:23:57 UTC (1617791037)
[    1.007798] Freeing unused decrypted memory: 2040K
[    1.008290] Freeing unused kernel memory: 2432K
[    1.016194] Write protecting the kernel read-only data: 18432k
[    1.016781] Freeing unused kernel memory: 2016K
[    1.016997] Freeing unused kernel memory: 136K
[    1.024456] systemd[1]: systemd 239 (239-41.el8_3.1) running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN2 -IDN +PCRE2 default-hierarchy=legacy)
[    1.037206] systemd[1]: Detected architecture x86-64.
[    1.037368] systemd[1]: Running in initial RAM disk.
[    1.048935] systemd[1]: Set hostname to <localhost.localdomain>.
[    1.081184] systemd[1]: Reached target Swap.
[    1.082025] systemd[1]: Reached target Local File Systems.
[    1.082909] systemd[1]: Listening on Journal Socket (/dev/log).
[    1.083777] systemd[1]: Reached target Slices.
[    1.084598] systemd[1]: Reached target Timers.
[    1.085479] systemd[1]: Listening on Journal Socket.
[    1.106735] fuse: init (API version 7.31)
[    1.251009] usb 1-1: new low-speed USB device number 2 using xhci_hcd
[    1.382072] usb 1-1: New USB device found, idVendor=046d, idProduct=c31c, bcdDevice=64.00
[    1.382304] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.382470] usb 1-1: Product: USB Keyboard
[    1.382629] usb 1-1: Manufacturer: Logitech
[    1.387815] input: Logitech USB Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:046D:C31C.0001/input/input6
[    1.440108] hid-generic 0003:046D:C31C.0001: input,hidraw0: USB HID v1.10 Keyboard [Logitech USB Keyboard] on usb-0000:00:14.0-1/input0
[    1.445581] input: Logitech USB Keyboard Consumer Control as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.1/0003:046D:C31C.0002/input/input7
[    1.497052] input: Logitech USB Keyboard System Control as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.1/0003:046D:C31C.0002/input/input8
[    1.497328] hid-generic 0003:046D:C31C.0002: input,hidraw1: USB HID v1.10 Device [Logitech USB Keyboard] on usb-0000:00:14.0-1/input1
[    1.611011] usb 1-2: new low-speed USB device number 3 using xhci_hcd
[    1.662185] r8169 0000:04:00.0: can't disable ASPM; OS doesn't have ASPM control
[    1.664552] libphy: r8169: probed
[    1.665178] r8169 0000:04:00.0 eth0: RTL8168e/8111e, f4:f2:6d:02:8d:c3, XID 2c2, IRQ 126
[    1.665409] r8169 0000:04:00.0 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[    1.665655] r8169 0000:05:00.0: can't disable ASPM; OS doesn't have ASPM control
[    1.677964] libata version 3.00 loaded.
[    1.691762] libphy: r8169: probed
[    1.692073] r8169 0000:05:00.0 eth1: RTL8168h/8111h, 4c:cc:6a:2f:e8:0e, XID 541, IRQ 127
[    1.692306] r8169 0000:05:00.0 eth1: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[    1.693543] ahci 0000:00:17.0: version 3.0
[    1.700594] r8169 0000:04:00.0 enp4s0: renamed from eth0
[    1.703841] ahci 0000:00:17.0: AHCI 0001.0301 32 slots 6 ports 6 Gbps 0x3f impl SATA mode
[    1.704088] ahci 0000:00:17.0: flags: 64bit ncq sntf led clo only pio slum part ems deso sadm sds apst 
[    1.710558] r8169 0000:05:00.0 enp5s0: renamed from eth1
[    1.737592] scsi host0: ahci
[    1.737855] scsi host1: ahci
[    1.741764] usb 1-2: New USB device found, idVendor=045e, idProduct=0084, bcdDevice= 1.04
[    1.741997] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.742167] usb 1-2: Product: Microsoft Basic Optical Mouse 
[    1.742331] usb 1-2: Manufacturer: Microsoft 
[    1.742640] scsi host2: ahci
[    1.742955] scsi host3: ahci
[    1.744039] scsi host4: ahci
[    1.744343] scsi host5: ahci
[    1.744539] ata1: SATA max UDMA/133 abar [email protected] port 0xdf32c100 irq 128
[    1.744773] ata2: SATA max UDMA/133 abar [email protected] port 0xdf32c180 irq 128
[    1.745006] ata3: SATA max UDMA/133 abar [email protected] port 0xdf32c200 irq 128
[    1.745236] ata4: SATA max UDMA/133 abar [email protected] port 0xdf32c280 irq 128
[    1.745465] ata5: SATA max UDMA/133 abar [email protected] port 0xdf32c300 irq 128
[    1.745694] ata6: SATA max UDMA/133 abar [email protected] port 0xdf32c380 irq 128
[    1.746017] input: Microsoft  Microsoft Basic Optical Mouse  as /devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.0/0003:045E:0084.0003/input/input9
[    1.746618] hid-generic 0003:045E:0084.0003: input,hidraw2: USB HID v1.11 Mouse [Microsoft  Microsoft Basic Optical Mouse ] on usb-0000:00:14.0-2/input0
[    1.857045] i915 0000:00:02.0: vgaarb: deactivate vga console
[    1.858531] Console: switching to colour dummy device 80x25
[    1.859063] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.859066] [drm] Driver supports precise vblank timestamp query.
[    1.859428] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    1.859714] [drm] Finished loading DMC firmware i915/skl_dmc_ver1_27.bin (v1.27)
[    1.861008] usb 1-10: new high-speed USB device number 4 using xhci_hcd
[    1.867936] [drm] Initialized i915 1.6.0 20200114 for 0000:00:02.0 on minor 0
[    1.869417] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    1.869684] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input10
[    1.988418] usb 1-10: New USB device found, idVendor=090c, idProduct=1000, bcdDevice=11.00
[    1.988421] usb 1-10: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    1.988423] usb 1-10: Product: USB Flash Disk
[    1.988424] usb 1-10: Manufacturer: General
[    1.988425] usb 1-10: SerialNumber: 0405150000000526
[    2.031279] fbcon: i915drmfb (fb0) is primary device
[    2.053111] ata3: SATA link down (SStatus 4 SControl 300)
[    2.053127] ata6: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[    2.053140] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    2.053152] ata5: SATA link down (SStatus 4 SControl 300)
[    2.053163] ata1: SATA link down (SStatus 4 SControl 300)
[    2.053426] ata4: SATA link down (SStatus 4 SControl 300)
[    2.054061] ata6.00: ATA-8: ST1000DM003-1SB10C, CC43, max UDMA/133
[    2.054062] ata6.00: 1953525168 sectors, multi 16: LBA48 NCQ (depth 32), AA
[    2.054243] ata2.00: ATAPI: HL-DT-ST DVDRAM GH24NSD1, LG00, max UDMA/133
[    2.054590] Console: switching to colour frame buffer device 128x48
[    2.055090] ata6.00: configured for UDMA/133
[    2.055661] ata2.00: configured for UDMA/133
[    2.058758] scsi 1:0:0:0: CD-ROM            HL-DT-ST DVDRAM GH24NSD1  LG00 PQ: 0 ANSI: 5
[    2.073315] i915 0000:00:02.0: fb0: i915drmfb frame buffer device
[    2.078595] scsi 5:0:0:0: Direct-Access     ATA      ST1000DM003-1SB1 CC43 PQ: 0 ANSI: 5
[    2.090627] scsi 1:0:0:0: Attached scsi generic sg0 type 5
[    2.090651] scsi 5:0:0:0: Attached scsi generic sg1 type 0
[    2.097474] sd 5:0:0:0: [sda] 1953525168 512-byte logical blocks: (1.00 TB/932 GiB)
[    2.097476] sd 5:0:0:0: [sda] 4096-byte physical blocks
[    2.097481] sd 5:0:0:0: [sda] Write Protect is off
[    2.097482] sd 5:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    2.097489] sd 5:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.104007] usb 1-11: new high-speed USB device number 5 using xhci_hcd
[    2.123847] sr 1:0:0:0: [sr0] scsi3-mmc drive: 48x/12x writer dvd-ram cd/rw xa/form2 cdda tray
[    2.123848] cdrom: Uniform CD-ROM driver Revision: 3.20
[    2.129171] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    2.236005] usb 1-11: New USB device found, idVendor=07ca, idProduct=a110, bcdDevice= 2.00
[    2.236006] usb 1-11: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    2.236007] usb 1-11: Product: TD110
[    2.236008] usb 1-11: Manufacturer: AVerMedia TECHNOLOGIES, Inc.
[    2.236008] usb 1-11: SerialNumber: 202414600089
[    2.237561]  sda: sda1 sda2 sda3 < sda5 sda6 sda7 sda8 sda9 sda10 sda11 sda12 > sda4
[    2.238027] sd 5:0:0:0: [sda] Attached SCSI disk
[    2.247054] usb-storage 1-10:1.0: USB Mass Storage device detected
[    2.257151] scsi host6: usb-storage 1-10:1.0
[    2.257204] usbcore: registered new interface driver usb-storage
[    2.259266] usbcore: registered new interface driver uas
[    3.778781] scsi 6:0:0:0: Direct-Access     General  USB Flash Disk   1100 PQ: 0 ANSI: 4
[    3.779649] scsi 6:0:0:0: alua: supports implicit and explicit TPGS
[    3.780433] scsi 6:0:0:0: alua: No target port descriptors found
[    3.781311] sd 6:0:0:0: Attached scsi generic sg2 type 0
[    3.782213] sd 6:0:0:0: [sdb] 31506432 512-byte logical blocks: (16.1 GB/15.0 GiB)
[    3.783393] sd 6:0:0:0: [sdb] Write Protect is off
[    3.784182] sd 6:0:0:0: [sdb] Mode Sense: 43 00 00 00
[    3.784560] sd 6:0:0:0: [sdb] No Caching mode page found
[    3.785351] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[    3.794099]  sdb: sdb1
[    3.796206] sd 6:0:0:0: [sdb] Attached SCSI removable disk
[    6.000328] EXT4-fs (sda12): mounted filesystem with ordered data mode. Opts: (null)
[    6.415249] systemd-journald[321]: Received SIGTERM from PID 1 (systemd).
[    6.571275] printk: systemd: 26 output lines suppressed due to ratelimiting
[    7.294621] audit: type=1404 audit(1617791043.786:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295 enabled=1 old-enabled=1 lsm=selinux res=1
[    7.789230] SELinux:  policy capability network_peer_controls=1
[    7.789559] SELinux:  policy capability open_perms=1
[    7.789878] SELinux:  policy capability extended_socket_class=1
[    7.790230] SELinux:  policy capability always_check_network=0
[    7.790586] SELinux:  policy capability cgroup_seclabel=1
[    7.790900] SELinux:  policy capability nnp_nosuid_transition=1
[    7.805575] audit: type=1403 audit(1617791044.297:3): auid=4294967295 ses=4294967295 lsm=selinux res=1
[    7.806624] systemd[1]: Successfully loaded SELinux policy in 522.138ms.
[    7.895594] systemd[1]: RTC configured in localtime, applying delta of 120 minutes to system time.
[    8.109785] systemd[1]: Relabelled /dev, /run and /sys/fs/cgroup in 18.789ms.
[    8.112469] systemd[1]: systemd 239 (239-41.el8_3.1) running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN2 -IDN +PCRE2 default-hierarchy=legacy)
[    8.125205] systemd[1]: Detected architecture x86-64.
[    8.154348] systemd[1]: Set hostname to <localhost.localdomain>.
[   10.784939] systemd[1]: systemd-journald.service: Succeeded.
[   10.785782] systemd[1]: initrd-switch-root.service: Succeeded.
[   10.786407] systemd[1]: Stopped Switch Root.
[   10.787264] systemd[1]: systemd-journald.service: Service has no hold-off time (RestartSec=0), scheduling restart.
[   10.787305] systemd[1]: systemd-journald.service: Scheduled restart job, restart counter is at 1.
[   10.787354] systemd[1]: Stopped Journal Service.
[   10.789466] systemd[1]: Starting Journal Service...
[   10.875323] EXT4-fs (sda12): re-mounted. Opts: (null)
[   11.033956] systemd-journald[677]: File /run/log/journal/3c117fbbf1494a2f80c820111c9ddf90/system.journal corrupted or uncleanly shut down, renaming and replacing.
[   11.227433] systemd-journald[677]: Received request to flush runtime journal from PID 1
[   23.705913] IPv6: ADDRCONF(NETDEV_UP): enp4s0: link is not ready
[   23.770978] RTL8211DN Gigabit Ethernet r8169-400:00: attached PHY driver [RTL8211DN Gigabit Ethernet] (mii_bus:phy_addr=r8169-400:00, irq=IGNORE)
[   23.985078] IPv6: ADDRCONF(NETDEV_UP): enp4s0: link is not ready
[   23.987335] r8169 0000:04:00.0 enp4s0: Link is Down
[   23.988222] IPv6: ADDRCONF(NETDEV_UP): enp5s0: link is not ready
[   23.996200] Generic FE-GE Realtek PHY r8169-500:00: attached PHY driver [Generic FE-GE Realtek PHY] (mii_bus:phy_addr=r8169-500:00, irq=IGNORE)
[   24.086475] r8169 0000:05:00.0 enp5s0: Link is Down
[   24.086520] IPv6: ADDRCONF(NETDEV_UP): enp5s0: link is not ready
[   24.150254] IPv6: ADDRCONF(NETDEV_UP): enp4s0: link is not ready
[   24.151157] IPv6: ADDRCONF(NETDEV_UP): enp5s0: link is not ready
[   27.234603] r8169 0000:05:00.0 enp5s0: Link is Up - 1Gbps/Full - flow control off
[   27.234995] IPv6: ADDRCONF(NETDEV_CHANGE): enp5s0: link becomes ready
[   73.147636] usb 1-5: new high-speed USB device number 6 using xhci_hcd
[   73.274105] usb 1-5: New USB device found, idVendor=0bda, idProduct=8179, bcdDevice= 0.00
[   73.274107] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   73.274108] usb 1-5: Product: 802.11n NIC
[   73.274108] usb 1-5: Manufacturer: Realtek
[   73.274109] usb 1-5: SerialNumber: 00E04C0001
[  212.977775] usb 1-5: USB disconnect, device number 6
[  218.495842] usb 1-5: new high-speed USB device number 7 using xhci_hcd
[  218.622322] usb 1-5: New USB device found, idVendor=0bda, idProduct=8179, bcdDevice= 0.00
[  218.622324] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  218.622325] usb 1-5: Product: 802.11n NIC
[  218.622326] usb 1-5: Manufacturer: Realtek
[  218.622327] usb 1-5: SerialNumber: 00E04C0001
[  218.636291] rfkill: input handler disabled
[  218.666087] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[  218.666463] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[  218.666581] platform regulatory.0: Direct firmware load for regulatory.db failed with error -2
[  218.666583] cfg80211: failed to load regulatory.db
[  218.667135] 8188eu: loading out-of-tree module taints kernel.
[  218.667389] 8188eu: module verification failed: signature and/or required key missing - tainting kernel
[  218.680412] bFWReady == _FALSE call reset 8051...
[  218.700775] WARNING: CPU: 1 PID: 2532 at net/wireless/core.c:867 wiphy_register+0x68a/0x940 [cfg80211]
[  218.700776] Modules linked in: 8188eu(OE+) cfg80211 rfkill ext4 mbcache jbd2 uas usb_storage sr_mod sd_mod cdrom sg i915 cec intel_gtt i2c_algo_bit ahci drm_kms_helper libahci syscopyarea sysfillrect sysimgblt fb_sys_fops libata drm serio_raw crc32c_intel r8169 realtek pinctrl_sunrisepoint pinctrl_intel video fuse
[  218.700784] CPU: 1 PID: 2532 Comm: systemd-udevd Tainted: G           OE    --------- -  - 4.18.0-240.15.1.el8_3.x86_64 #1
[  218.700785] Hardware name: MSI MS-7971/Z170-A PRO (MS-7971), BIOS 1.90 02/24/2016
[  218.700805] RIP: 0010:wiphy_register+0x68a/0x940 [cfg80211]
[  218.700806] Code: 78 20 00 74 25 83 ea 01 48 8d 14 52 48 c1 e2 04 48 01 c2 48 83 78 10 00 74 1c 48 39 c2 74 5a 48 83 c0 30 48 83 78 20 00 75 e9 <0f> 0b b8 ea ff ff ff e9 8a fa ff ff 48 83 78 18 00 75 dd 0f 0b b8
[  218.700807] RSP: 0018:ffffb1a6022ef9f0 EFLAGS: 00010246
[  218.700808] RAX: ffffffffc0c5a6c0 RBX: ffff9278fb1b24a0 RCX: 0000000000000000
[  218.700809] RDX: 0000000000000005 RSI: ffff92795909b858 RDI: 0000000000000001
[  218.700809] RBP: ffffb1a6022efa78 R08: 0000000000000004 R09: 0000000000000003
[  218.700810] R10: ffff9278fb1b4000 R11: ffff92794ec476e4 R12: ffffb1a602190520
[  218.700811] R13: 0000000000000000 R14: ffffb1a60219049d R15: ffffffffc0c67220
[  218.700812] FS:  00007f5de4c4d980(0000) GS:ffff92795ea40000(0000) knlGS:0000000000000000
[  218.700812] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  218.700813] CR2: 00007fb0aa49e000 CR3: 00000003ff73e003 CR4: 00000000003606e0
[  218.700814] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  218.700814] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[  218.700815] Call Trace:
[  218.700837]  ? handle_channel_custom.isra.24.constprop.29+0x31/0x150 [cfg80211]
[  218.700858]  ? wiphy_apply_custom_regulatory+0x6b/0xb0 [cfg80211]
[  218.700882]  rtw_wiphy_register+0x1e/0x20 [8188eu]
[  218.700904]  rtw_cfg80211_ndev_res_register+0x11/0x17 [8188eu]
[  218.700925]  rtw_os_ndev_register+0x103/0x176 [8188eu]
[  218.700945]  rtw_os_ndevs_register+0x9e/0xce [8188eu]
[  218.700964]  rtw_os_ndevs_init+0x24/0x3a [8188eu]
[  218.700983]  rtw_drv_init+0x5c/0xb0 [8188eu]
[  218.700985]  usb_probe_interface+0xe4/0x2f0
[  218.700987]  really_probe+0x212/0x440
[  218.700989]  driver_probe_device+0x49/0xc0
[  218.700990]  device_driver_attach+0x50/0x60
[  218.700991]  __driver_attach+0x61/0x130
[  218.700992]  ? device_driver_attach+0x60/0x60
[  218.700994]  bus_for_each_dev+0x77/0xc0
[  218.700996]  ? klist_add_tail+0x3b/0x70
[  218.700997]  bus_add_driver+0x14d/0x1e0
[  218.700998]  driver_register+0x6b/0xb0
[  218.700999]  usb_register_driver+0x7a/0x130
[  218.701000]  ? 0xffffffffc0ceb000
[  218.701012]  rtw_drv_entry+0x56/0x1000 [8188eu]
[  218.701014]  do_one_initcall+0x46/0x1c3
[  218.701017]  ? _cond_resched+0x15/0x30
[  218.701018]  ? kmem_cache_alloc_trace+0x140/0x1c0
[  218.701020]  do_init_module+0x5a/0x220
[  218.701022]  load_module+0x14b4/0x17e0
[  218.701024]  ? __do_sys_finit_module+0xa8/0x110
[  218.701025]  __do_sys_finit_module+0xa8/0x110
[  218.701026]  do_syscall_64+0x5b/0x1a0
[  218.701028]  entry_SYSCALL_64_after_hwframe+0x65/0xca
[  218.701029] RIP: 0033:0x7f5de38417dd
[  218.701030] Code: 00 c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 7b 56 2c 00 f7 d8 64 89 01 48
[  218.701031] RSP: 002b:00007ffd75abea48 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[  218.701032] RAX: ffffffffffffffda RBX: 0000556b235bd1b0 RCX: 00007f5de38417dd
[  218.701032] RDX: 0000000000000000 RSI: 00007f5de43b386d RDI: 0000000000000012
[  218.701033] RBP: 00007f5de43b386d R08: 0000000000000000 R09: 00007ffd75abeb70
[  218.701033] R10: 0000000000000012 R11: 0000000000000246 R12: 0000000000000000
[  218.701034] R13: 0000556b235807e0 R14: 0000000000020000 R15: 0000000000000000
[  218.701035] ---[ end trace 196ec8f8834f76d6 ]---
[  218.701059] WARNING: CPU: 1 PID: 2532 at /home/alma/rtl8188eus/os_dep/linux/os_intfs.c:1616 rtw_os_ndev_register+0x64/0x176 [8188eu]
[  218.701060] Modules linked in: 8188eu(OE+) cfg80211 rfkill ext4 mbcache jbd2 uas usb_storage sr_mod sd_mod cdrom sg i915 cec intel_gtt i2c_algo_bit ahci drm_kms_helper libahci syscopyarea sysfillrect sysimgblt fb_sys_fops libata drm serio_raw crc32c_intel r8169 realtek pinctrl_sunrisepoint pinctrl_intel video fuse
[  218.701065] CPU: 1 PID: 2532 Comm: systemd-udevd Tainted: G        W  OE    --------- -  - 4.18.0-240.15.1.el8_3.x86_64 #1
[  218.701065] Hardware name: MSI MS-7971/Z170-A PRO (MS-7971), BIOS 1.90 02/24/2016
[  218.701084] RIP: 0010:rtw_os_ndev_register+0x64/0x176 [8188eu]
[  218.701085] Code: 8d a7 20 35 00 00 b9 20 00 00 00 48 c7 c2 b5 c2 c0 c0 4c 89 e6 48 89 ef e8 24 b7 b3 da 48 89 df e8 88 49 01 00 83 f8 01 74 1a <0f> 0b 4c 89 e7 e8 dd a6 b3 da b8 00 00 00 00 5b 5d 41 5c 41 5d 41
[  218.701085] RSP: 0018:ffffb1a6022efaa0 EFLAGS: 00010297
[  218.701086] RAX: 0000000000000000 RBX: ffffb1a60218d000 RCX: 0000000000000000
[  218.701087] RDX: 0000000000000005 RSI: ffff92795909b858 RDI: 0000000000000001
[  218.701087] RBP: ffff9278fb1b5000 R08: 0000000000000004 R09: 0000000000000003
[  218.701088] R10: ffff9278fb1b4000 R11: ffff92794ec476e4 R12: ffffb1a602190520
[  218.701088] R13: 0000000000000000 R14: ffffb1a60219049d R15: ffffffffc0c67220
[  218.701089] FS:  00007f5de4c4d980(0000) GS:ffff92795ea40000(0000) knlGS:0000000000000000
[  218.701090] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  218.701091] CR2: 00007fb0aa49e000 CR3: 00000003ff73e003 CR4: 00000000003606e0
[  218.701091] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  218.701092] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[  218.701092] Call Trace:
[  218.701111]  rtw_os_ndevs_register+0x9e/0xce [8188eu]
[  218.701128]  rtw_os_ndevs_init+0x24/0x3a [8188eu]
[  218.701146]  rtw_drv_init+0x5c/0xb0 [8188eu]
[  218.701147]  usb_probe_interface+0xe4/0x2f0
[  218.701149]  really_probe+0x212/0x440
[  218.701150]  driver_probe_device+0x49/0xc0
[  218.701151]  device_driver_attach+0x50/0x60
[  218.701153]  __driver_attach+0x61/0x130
[  218.701154]  ? device_driver_attach+0x60/0x60
[  218.701155]  bus_for_each_dev+0x77/0xc0
[  218.701156]  ? klist_add_tail+0x3b/0x70
[  218.701157]  bus_add_driver+0x14d/0x1e0
[  218.701159]  driver_register+0x6b/0xb0
[  218.701159]  usb_register_driver+0x7a/0x130
[  218.701160]  ? 0xffffffffc0ceb000
[  218.701172]  rtw_drv_entry+0x56/0x1000 [8188eu]
[  218.701174]  do_one_initcall+0x46/0x1c3
[  218.701175]  ? _cond_resched+0x15/0x30
[  218.701176]  ? kmem_cache_alloc_trace+0x140/0x1c0
[  218.701178]  do_init_module+0x5a/0x220
[  218.701179]  load_module+0x14b4/0x17e0
[  218.701181]  ? __do_sys_finit_module+0xa8/0x110
[  218.701182]  __do_sys_finit_module+0xa8/0x110
[  218.701183]  do_syscall_64+0x5b/0x1a0
[  218.701184]  entry_SYSCALL_64_after_hwframe+0x65/0xca
[  218.701185] RIP: 0033:0x7f5de38417dd
[  218.701186] Code: 00 c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 7b 56 2c 00 f7 d8 64 89 01 48
[  218.701187] RSP: 002b:00007ffd75abea48 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[  218.701188] RAX: ffffffffffffffda RBX: 0000556b235bd1b0 RCX: 00007f5de38417dd
[  218.701188] RDX: 0000000000000000 RSI: 00007f5de43b386d RDI: 0000000000000012
[  218.701189] RBP: 00007f5de43b386d R08: 0000000000000000 R09: 00007ffd75abeb70
[  218.701189] R10: 0000000000000012 R11: 0000000000000246 R12: 0000000000000000
[  218.701190] R13: 0000556b235807e0 R14: 0000000000020000 R15: 0000000000000000
[  218.701191] ---[ end trace 196ec8f8834f76d7 ]---
[  218.706778] WARNING: CPU: 1 PID: 2532 at /home/alma/rtl8188eus/os_dep/linux/os_intfs.c:3053 rtw_os_ndevs_register+0xa6/0xce [8188eu]
[  218.706780] Modules linked in: 8188eu(OE+) cfg80211 rfkill ext4 mbcache jbd2 uas usb_storage sr_mod sd_mod cdrom sg i915 cec intel_gtt i2c_algo_bit ahci drm_kms_helper libahci syscopyarea sysfillrect sysimgblt fb_sys_fops libata drm serio_raw crc32c_intel r8169 realtek pinctrl_sunrisepoint pinctrl_intel video fuse
[  218.706786] CPU: 1 PID: 2532 Comm: systemd-udevd Tainted: G        W  OE    --------- -  - 4.18.0-240.15.1.el8_3.x86_64 #1
[  218.706786] Hardware name: MSI MS-7971/Z170-A PRO (MS-7971), BIOS 1.90 02/24/2016
[  218.706809] RIP: 0010:rtw_os_ndevs_register+0xa6/0xce [8188eu]
[  218.706810] Code: 87 be 48 00 00 49 8d b5 9d 34 00 00 84 c0 74 0d 49 8d b5 ad 34 00 00 3c 01 49 0f 45 f7 e8 64 f3 ff ff 41 89 c4 83 f8 01 74 b2 <0f> 0b 85 db 75 15 48 63 db 48 8b bc dd 50 01 00 00 48 85 ff 74 05
[  218.706811] RSP: 0018:ffffb1a6022efad8 EFLAGS: 00010297
[  218.706812] RAX: 0000000000000000 RBX: 0000000000000000 RCX: dead000000000200
[  218.706813] RDX: ffff9278fb1b5060 RSI: ffffb1a6021905b8 RDI: ffffb1a6021905e0
[  218.706813] RBP: ffff9278fb1b4000 R08: 000000000000093b R09: 000000000000093b
[  218.706814] R10: 0000000000000000 R11: ffff92795ea68c64 R12: 0000000000000000
[  218.706815] R13: ffffb1a60218d000 R14: 0000000000000001 R15: ffffffffc0c67220
[  218.706815] FS:  00007f5de4c4d980(0000) GS:ffff92795ea40000(0000) knlGS:0000000000000000
[  218.706816] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  218.706817] CR2: 00007fb0aa49e000 CR3: 00000003ff73e003 CR4: 00000000003606e0
[  218.706817] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  218.706818] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[  218.706818] Call Trace:
[  218.706841]  rtw_os_ndevs_init+0x24/0x3a [8188eu]
[  218.706861]  rtw_drv_init+0x5c/0xb0 [8188eu]
[  218.706863]  usb_probe_interface+0xe4/0x2f0
[  218.706864]  really_probe+0x212/0x440
[  218.706866]  driver_probe_device+0x49/0xc0
[  218.706867]  device_driver_attach+0x50/0x60
[  218.706869]  __driver_attach+0x61/0x130
[  218.706870]  ? device_driver_attach+0x60/0x60
[  218.706871]  bus_for_each_dev+0x77/0xc0
[  218.706872]  ? klist_add_tail+0x3b/0x70
[  218.706873]  bus_add_driver+0x14d/0x1e0
[  218.706875]  driver_register+0x6b/0xb0
[  218.706876]  usb_register_driver+0x7a/0x130
[  218.706877]  ? 0xffffffffc0ceb000
[  218.706889]  rtw_drv_entry+0x56/0x1000 [8188eu]
[  218.706891]  do_one_initcall+0x46/0x1c3
[  218.706892]  ? _cond_resched+0x15/0x30
[  218.706894]  ? kmem_cache_alloc_trace+0x140/0x1c0
[  218.706895]  do_init_module+0x5a/0x220
[  218.706896]  load_module+0x14b4/0x17e0
[  218.706898]  ? __do_sys_finit_module+0xa8/0x110
[  218.706899]  __do_sys_finit_module+0xa8/0x110
[  218.706901]  do_syscall_64+0x5b/0x1a0
[  218.706902]  entry_SYSCALL_64_after_hwframe+0x65/0xca
[  218.706903] RIP: 0033:0x7f5de38417dd
[  218.706904] Code: 00 c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 7b 56 2c 00 f7 d8 64 89 01 48
[  218.706905] RSP: 002b:00007ffd75abea48 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[  218.706906] RAX: ffffffffffffffda RBX: 0000556b235bd1b0 RCX: 00007f5de38417dd
[  218.706906] RDX: 0000000000000000 RSI: 00007f5de43b386d RDI: 0000000000000012
[  218.706907] RBP: 00007f5de43b386d R08: 0000000000000000 R09: 00007ffd75abeb70
[  218.706908] R10: 0000000000000012 R11: 0000000000000246 R12: 0000000000000000
[  218.706908] R13: 0000556b235807e0 R14: 0000000000020000 R15: 0000000000000000
[  218.706909] ---[ end trace 196ec8f8834f76d8 ]---
[  218.821198] usb 1-5: reset high-speed USB device number 7 using xhci_hcd
[  218.948921] In rtw_drv_init return -ENODEV
[  218.948951] usbcore: registered new interface driver 8188eu
dmesg (69,610 bytes)   

enigma131

2021-04-08 16:45

reporter   ~0000134

So if I understand well, there is no way to correct this ?
I'm frustrating because this dongle is working everywhere else ( Debian 11, Ubuntu 20.04, Fedora 33, Windows 10 ...) without compiling / installing a piece of code / driver.

My understanding for solving the issue : changing kernel or changing dongle.

1) In case of changing dongle, where could I find certified hardware compatibility list ?
2) In case of changing kernel, which one would be a good target ? (I don't want a 'rolling' type kernel, I'm searching a LTS type which doesn't increment each week) .
And according to https://www.kernel.org/category/releases.html, standard kernel LTS have EOL previous to 2029.

alukoshko

2021-04-08 16:50

developer   ~0000135

1) We're compatible with RHEL8 so supported hardware is the same: https://catalog.redhat.com/hardware
2) http://elrepo.org provides newer kernels for RHEL-based distros. I believe kernel-lt (Long Term) package will fit your needs.

enigma131

2021-04-08 17:25

reporter   ~0000136

This one gives only 1 response https://catalog.redhat.com/hardware/components/search?q=wifi&p=1 and seems not really a dongle.
I think a internet search engine will give better responses, or Redhat have definitivelly bad wifi support (it's possible!). I will continue to search this way, but I don't want buy and buy without be sure of result.
I will look too for elrepo and kernels, thanks for the trick!

enigma131

2021-04-09 07:42

reporter   ~0000137

Following your link http://elrepo.org/tiki/HomePage , I discover "latest stable mainline kernels" . Are theses related to my link from kernel.org?
If yes I don't see the real benefit over Debian , because I'm searching a long term Kernel like the one from Redhat (4.18) -> support up to 2019.

Concerning searching a other Wifi dongle, i discover the other thread you have solved https://bugs.almalinux.org/view.php?id=47 with rtl8192, I found one here : https://www.amazon.fr/KuWFi-300Mbps-Realtek-RTL8192-Adaptateur/dp/B01D2L1U4S
But not sure for me it will work in future for kernel 4.18 and Alma 8.x. (x >=4)
Take my example witk rtl8188eu, It was compiling with early stages of CenntOs8 , and now we are at stage 8.3 and compiles fails.

alukoshko

2021-04-09 07:56

developer   ~0000138

Of course if you going to buy another dongle you should buy the one supported out of the box. Unofficial drivers from github are always kind of lottery.

kernel-lt from elrepo.org will stay on 5.4 version for long time and then someday will change to 5.10.
If you need the same kernel version till 2029 then yes, elrepo's kernel doesn't fit your needs.

enigma131

2021-04-09 10:39

reporter   ~0000139

I don't know where are located Alma's kernel sources, but if they are same as Centos I've look at vault's site. In drivers/staging there are 5 Realtek drivers sources including rtl8192 and rtl8188eu's one and no one is working from the begining without compilation/modifications/adaptation !
Strange situation!

enigma131

2021-04-09 18:12

reporter   ~0000140

I've finally make it work.
How I did it?
First I've look with modinfo, all other distros (Fedora, Debian unbuntu) are based on version 4.14 from feb. 2013 and are fully fonctionnal.
I'll go back to lwfinger and see 4 branches, including Master.
I've git clone branch v4.1.8_9499 (this one is from dec. 2013)
Made modifications:
os_dep/rtw_android.c:#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 18, 0)) // 5,0 alma line 359
os_dep/os_intfs.c:#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 18, 0)) // 4,19 alma line 419
Then it compiles and WORKS !
Package includes dkms install.
ps: branch v5.2.2.4 compiles too but haven't try, but Master and branch kernel_code didn't compile

Could be closed, but I would be great if method could be sticked for other peoples (or would it be better to post solution at lwfinger git ?)

alukoshko

2021-04-09 18:22

developer   ~0000141

I've found that elrepo-testing repo contain that driver:
http://mirror.rc.usf.edu/elrepo/testing/el8/x86_64/RPMS/kmod-r8188eu-0.0-1.el8_3.elrepo.x86_64.rpm
Maybe you should try it too, it won't require dkms.

enigma131

2021-04-09 19:10

reporter   ~0000142

Hum this one is stamped with first -240 serie and not with latest -240.15 , so it can't load.
It's the problem with testing, compilations are not always made every kernel upgrades.
I prefer have a dkms build, until source is compatible with upcoming kernels of course.
Thanks for the link in case of ...

enigma131

2021-04-09 20:07

reporter   ~0000143

I have added the solution to lwfinger's git bug track 302, but if he don't react i will fork the correct branch on my git.

toracat

2021-04-23 17:58

reporter   ~0000156

Please note that ELRepo's kmod packages are kABI-tracking, meaning they survive kernel updates. This is the main point that is different from the dkms method which requires rebuilding upon every kernel update.

So, usually kmods are built against the first (GA) kernel of a major release (for example RHEL 8.0) and they should continue to work withing that release (8.x). However there could be a kABI breakage withing a point release. In this case ELRepo will rebuild and update the kmod. If you encounter this situation, you can file a report at their bug tracker, https://elrepo.org/bugs .

toracat

2021-04-23 18:18

reporter   ~0000157

@enigma131

By the way why kmod-r8188eu-0.0-1.el8_3.elrepo.x86_64.rpm is in the testing repository is the following. Someone requested to provide a kmod-rtl8188eu package in:

https://elrepo.org/bugs/view.php?id=1062#c7541

As you can see, ELRepo fulfilled the request within a day and asked the submitter to test it. However there was no response. Without feedback, the package has to stay in the testing repo.

If you could give it a try and report the result, that would be much appreciated. It you'd rather not open an account there, you could reply here, too.

toracat

2021-04-23 18:20

reporter   ~0000158

@enigma131

Also, the source code can be found here:

https://github.com/elrepo/packages/tree/master/r8188eu-kmod/el8

toracat

2021-04-23 21:49

reporter   ~0000161

OK, I just found out that there was indeed a kABI breakage in RHEL 8 and kmod-r8188eu-0.0-1.el8_3 (which was built for kernel-4.18.0-240.el8) does not work for newer kernels. It will need to be rebuilt against the latest kernel. I will update the status here with any progress.

enigma131

2021-04-24 06:26

reporter   ~0000162

Ok toracat, thanks for report. As I'm a Github regitered user, I will try to compile the kmod package next week and report there if error(s).
Yes of course it would be great if we can have working kmod modules for our wireless devices for all 8.x kernel updates
Concerning DKMS, I was looking at the Lwfinger's source, it is very complete and was (and is still) updated since many years. The branch v4.1.8_9499 is updated now and is fully functionnal now without errors (I had posted there my compile errors). I have some experience concerning dkms and my DVB cards, but no experience for kmod building.

toracat

2021-04-24 07:39

reporter   ~0000163

@enigma131

Since you have been successfully building and using the Lwfinger's source, it's probably a good idea for you to stick with it. The kmod method is a better choice [only] when the kABI is stable. It looks to me like the code being used in ELRepo's kmod keeps breaking with kernel updates. In a situation like this, dkms would be the way to go.

enigma131

2021-04-27 16:38

reporter   ~0000174

I've tested the kmod driver today:

sudo dnf --enablerepo="elrepo-testing" install kmod-r8188eu
...
depmod: WARNING: /lib/modules/4.18.0-240.el8.x86_64/extra/r8188eu/r8188eu.ko needs unknown symbol iwe_stream_add_event
depmod: WARNING: /lib/modules/4.18.0-240.el8.x86_64/extra/r8188eu/r8188eu.ko needs unknown symbol lib80211_get_crypto_ops
depmod: WARNING: /lib/modules/4.18.0-240.el8.x86_64/extra/r8188eu/r8188eu.ko needs unknown symbol wireless_send_event
depmod: WARNING: /lib/modules/4.18.0-240.el8.x86_64/extra/r8188eu/r8188eu.ko needs unknown symbol iwe_stream_add_point

But installed. Removing dkms, pulled out the dongle, rebooting,
then : dmesg -w , Pull in the dongle I got:

[ 454.338365] usb 1-5: new high-speed USB device number 8 using xhci_hcd
[ 454.464961] usb 1-5: New USB device found, idVendor=0bda, idProduct=8179, bcdDevice= 0.00
[ 454.464963] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 454.464964] usb 1-5: Product: 802.11n NIC
[ 454.464965] usb 1-5: Manufacturer: Realtek
[ 454.464966] usb 1-5: SerialNumber: 00xxxxxxxx
[ 454.479010] r8188eu: loading out-of-tree module taints kernel.
[ 454.479156] r8188eu: module verification failed: signature and/or required key missing - tainting kernel
[ 454.479267] r8188eu: Unknown symbol iwe_stream_add_event (err 0)
[ 454.479442] r8188eu: Unknown symbol lib80211_get_crypto_ops (err 0)
[ 454.479476] r8188eu: Unknown symbol wireless_send_event (err 0)
[ 454.479529] r8188eu: Unknown symbol iwe_stream_add_point (err 0)

Conclusion kmod module did not work , yes. I will post this on Kmod's git next days

toracat

2021-04-27 16:44

reporter   ~0000175

Thanks for testing and reporting the result.

enigma131

2021-04-30 06:37

reporter   ~0000177

Bug posted on elrepo's Git : https://github.com/elrepo/packages/issues/238

enigma131

2021-05-10 11:11

reporter   ~0000189

Package removed from elrepo, and maintainer didn't want to investigate more work.
So DKMS is the only solution that work.

toracat

2021-05-11 00:38

reporter   ~0000190

It is not that we (ELRepo) do not want to investigate more work but rather the source code for this particular driver does not make using kmod packages practical.

As noted earlier here or in this link:

https://github.com/elrepo/packages/issues/238#issuecomment-832336150

I was able to build the kmod package from the source code in the Lwfinger's branch v4.1.8_9499. However it contains many kernel symbols that cause kABI breakage. To take advantage the kmod method, it is critically important the code does not break at each kernel update. There is nothing we (ELrepo) can do about it, unfortunately.

Issue History

Date Modified Username Field Change
2021-04-06 16:10 enigma131 New Issue
2021-04-06 17:13 alukoshko Note Added: 0000127
2021-04-06 17:35 enigma131 Note Added: 0000128
2021-04-07 11:19 enigma131 Note Added: 0000131
2021-04-07 11:19 enigma131 File Added: dmesg
2021-04-08 16:45 enigma131 Note Added: 0000134
2021-04-08 16:50 alukoshko Note Added: 0000135
2021-04-08 17:25 enigma131 Note Added: 0000136
2021-04-09 07:42 enigma131 Note Added: 0000137
2021-04-09 07:56 alukoshko Note Added: 0000138
2021-04-09 10:39 enigma131 Note Added: 0000139
2021-04-09 18:12 enigma131 Note Added: 0000140
2021-04-09 18:22 alukoshko Note Added: 0000141
2021-04-09 19:10 enigma131 Note Added: 0000142
2021-04-09 20:07 enigma131 Note Added: 0000143
2021-04-23 17:58 toracat Note Added: 0000156
2021-04-23 18:18 toracat Note Added: 0000157
2021-04-23 18:20 toracat Note Added: 0000158
2021-04-23 21:49 toracat Note Added: 0000161
2021-04-24 06:26 enigma131 Note Added: 0000162
2021-04-24 07:39 toracat Note Added: 0000163
2021-04-27 16:38 enigma131 Note Added: 0000174
2021-04-27 16:44 toracat Note Added: 0000175
2021-04-30 06:37 enigma131 Note Added: 0000177
2021-05-10 11:11 enigma131 Note Added: 0000189
2021-05-11 00:38 toracat Note Added: 0000190